Skip to main content
Adobe Photoshop Family

1 Message

 • 

70 Points

Fri, Mar 30, 2018 6:47 AM

Lightroom Classic: Migrating catalog, but message is saying the catalog is damaged

I saved a catalog in lightroom CC 2015.6.1 release, which will not open on my new macbook pro running Adobe lightroom classic cc 7.2 release.

When I attempt to open this catalog, it tells me that the catalog needs to be upgraded, then the following message appears: "lightroom couldn't update the format of its catalog file because the file appears to be damaged".

Other catalogs created in the same version have migrated and upgraded to the new version without issue.  The damaged catalog still opens on the old mac in CC 2015.6.1 without issue.

Has anyone had this problem, and do you have any suggested fix? 

Responses

Champion

 • 

1.4K Messages

 • 

24.5K Points

3 years ago

Have you attempted to repair the catalog using File>Optimize Catalog...?
Do you have recent backups?

Champion

 • 

5.8K Messages

 • 

102.6K Points

3 years ago

And have you tried copying it over again? It could have become corrupted while transferring.

1 Message

 • 

60 Points

3 years ago

I am getting the message: "lightroom couldn't update the format of its catalog file bc the file appears damaged. My situation is: old computer had LR 6.9, catalogs worked fine. backed a few of them up on an external hard drive. bought new computer, upgraded to classic cc, tried to load and open my back up catalogs and get this message for all of them. old computer still opens all of them no problem. now I cannot even open LR CC as it wants a catalog to open. any help much appreciated.